Ian Lepore <i...@freebsd.org> writes:
> I just ran into a build error related to this:
> [...]
> I find that the attached patch fixes it for me.
> [...]
> @@ -1468,7 +1468,7 @@ lib/libcxxrt__L: gnu/lib/libgcc__L
>               lib/libradius lib/libsbuf lib/libtacplus \
>               ${_cddl_lib_libumem} ${_cddl_lib_libnvpair} \
>               ${_cddl_lib_libzfs_core} \
> -             lib/libutil ${_lib_libypclnt} lib/libz lib/msun \
> +             lib/libutil ${_lib_libypclnt} lib/libldns lib/libz lib/msun \
>               ${_secure_lib_libcrypto} ${_secure_lib_libssh} \
>               ${_secure_lib_libssl}
>  

That's not going to work, because libldns requires libcrypto.  You
should try the following:

@@ -1470,8 +1470,8 @@
                ${_cddl_lib_libumem} ${_cddl_lib_libnvpair} \
                ${_cddl_lib_libzfs_core} \
                lib/libutil ${_lib_libypclnt} lib/libz lib/msun \
-               ${_secure_lib_libcrypto} ${_secure_lib_libssh} \
-               ${_secure_lib_libssl}
+               ${_secure_lib_libcrypto} ${_lib_libldns} \
+               ${_secure_lib_libssh} ${_secure_lib_libssl}
 
 .if ${MK_ATF} != "no"
 _lib_atf_libatf_c=     lib/atf/libatf-c

Oh, wait, that's actually an excerpt from the commit that enabled LDNS
in OpenSSH.  What a coincidence!

DES
-- 
Dag-Erling Smørgrav - d...@des.no
_______________________________________________
freebsd-current@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to "freebsd-current-unsubscr...@freebsd.org"

Reply via email to